summaryrefslogtreecommitdiff
path: root/dev-util/git/files/git-daemon.initd
authorMichael Krelin <hacker@klever.net>2007-07-23 18:34:30 (UTC)
committer Michael Krelin <hacker@klever.net>2007-07-23 18:34:30 (UTC)
commitb76d9716f4d2ad64d4a466823803969bb98ad191 (patch) (side-by-side diff)
tree490a1dd3d9e446acd5a27d26ce037b59d1e9f86f /dev-util/git/files/git-daemon.initd
parent5c17a28c08a60b93d1b9c1476ea4bac811f2d22d (diff)
downloadmisc-b76d9716f4d2ad64d4a466823803969bb98ad191.zip
misc-b76d9716f4d2ad64d4a466823803969bb98ad191.tar.gz
misc-b76d9716f4d2ad64d4a466823803969bb98ad191.tar.bz2
dev-util/git: imported from portage
Diffstat (limited to 'dev-util/git/files/git-daemon.initd') (more/less context) (ignore whitespace changes)
-rw-r--r--dev-util/git/files/git-daemon.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/dev-util/git/files/git-daemon.initd b/dev-util/git/files/git-daemon.initd
new file mode 100644
index 0000000..2563c41
--- a/dev/null
+++ b/dev-util/git/files/git-daemon.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/git/files/git-daemon.initd,v 1.1 2005/10/05 15:05:04 ferdy Exp $
+
+depend() {
+ need net
+ use logger
+}
+
+start() {
+ ebegin "Starting git-daemon"
+ start-stop-daemon --start --quiet --background \
+ --exec /usr/bin/git-daemon -- ${GITDAEMON_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stoping git-daemon"
+ start-stop-daemon --stop --quiet --name git-daemon
+ eend $?
+}